org.apache.cassandra.utils.memory

## Class MemtablePool

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtablePool

Direct Known Subclasses:
  HeapPool, NativePool, SlabPool

    public abstract class MemtablePool
    extends java.lang.Object

Represents an amount of memory used for a given purpose, that can be allocated to specific tasks through child MemtableAllocator objects.

### Nested Class Summary

Nested Classes
`class` `MemtablePool.SubPool` Note the difference between acquire() and allocate(); allocate() makes more resources available to all owners, and acquire() makes shared resources unavailable but still recorded.

### Field Summary

Fields
`MemtablePool.SubPool` `offHeap`
`MemtablePool.SubPool` `onHeap`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `needToCopyOnHeap()`
`abstract MemtableAllocator` `newAllocator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### onHeap

    public final MemtablePool.SubPool onHeap

#### offHeap

    public final MemtablePool.SubPool offHeap

### Method Detail

#### needToCopyOnHeap

    public abstract boolean needToCopyOnHeap()

#### newAllocator

    public abstract MemtableAllocator newAllocator()